$ oc get vm win2k12r2-lavender-guppy-67 -o yaml
apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: "2024-05-14T14:57:37.388976633Z"
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    vm.kubevirt.io/validations: |
      [
        {
          "name": "minimal-required-memory",
          "path": "jsonpath::.spec.domain.memory.guest",
          "rule": "integer",
          "message": "This VM requires more memory.",
          "min": 536870912
        }, {
          "name": "windows-virtio-bus",
          "path": "jsonpath::.spec.domain.devices.disks[*].disk.bus",
          "valid": "jsonpath::.spec.domain.devices.disks[*].disk.bus",
          "rule": "enum",
          "message": "virtio disk bus type has better performance, install virtio drivers in VM and change bus type",
          "values": ["virtio"],
          "justWarning": true
        }, {
          "name": "windows-disk-bus",
          "path": "jsonpath::.spec.domain.devices.disks[*].disk.bus",
          "valid": "jsonpath::.spec.domain.devices.disks[*].disk.bus",
          "rule": "enum",
          "message": "disk bus has to be either virtio or sata or scsi",
          "values": ["virtio", "sata", "scsi"]
        }, {
          "name": "windows-cd-bus",
          "path": "jsonpath::.spec.domain.devices.disks[*].cdrom.bus",
          "valid": "jsonpath::.spec.domain.devices.disks[*].cdrom.bus",
          "rule": "enum",
          "message": "cd bus has to be sata",
          "values": ["sata"]
        }
      ]
  creationTimestamp: "2024-05-14T14:48:06Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 2
  labels:
    app: win2k12r2-lavender-guppy-67
    vm.kubevirt.io/template: windows2k12r2-server-medium
    vm.kubevirt.io/template.namespace: openshift
    vm.kubevirt.io/template.revision: "1"
    vm.kubevirt.io/template.version: v0.28.0
  name: win2k12r2-lavender-guppy-67
  namespace: default
  resourceVersion: "22427419"
  uid: 0051f9a8-05e2-4f9d-ae71-f7a4e1e7f308
spec:
  dataVolumeTemplates:
  - metadata:
      creationTimestamp: null
      name: win2k12r2-lavender-guppy-67
    spec:
      preallocation: false
      source:
        http:
          url: http://cnv-qe-server.rhos-psi.cnv-qe.rhood.us/files/cnv-tests/windows-images/uefi/win_2k12r2_uefi.qcow2
      storage:
        resources:
          requests:
            storage: 70Gi
        storageClassName: nfs
  running: false
  template:
    metadata:
      annotations:
        vm.kubevirt.io/flavor: medium
        vm.kubevirt.io/os: windows2k12r2
        vm.kubevirt.io/workload: server
      creationTimestamp: null
      labels:
        app.kubernetes.io/name: headless
        kubevirt.io/domain: win2k12r2-lavender-guppy-67
        kubevirt.io/size: medium
    spec:
      architecture: amd64
      domain:
        clock:
          timer:
            hpet:
              present: false
            hyperv: {}
            pit:
              tickPolicy: delay
            rtc:
              tickPolicy: catchup
          utc: {}
        cpu:
          cores: 1
          sockets: 1
          threads: 1
        devices:
          disks:
          - bootOrder: 1
            disk:
              bus: sata
            name: rootdisk
          - bootOrder: 2
            cdrom:
              bus: sata
            name: windows-drivers-disk
          inputs:
          - bus: usb
            name: tablet
            type: tablet
          interfaces:
          - macAddress: 02:1c:2a:00:00:36
            masquerade: {}
            model: e1000e
            name: default
        features:
          acpi: {}
          apic: {}
          hyperv:
            frequencies: {}
            ipi: {}
            reenlightenment: {}
            relaxed: {}
            reset: {}
            runtime: {}
            spinlocks:
              spinlocks: 8191
            synic: {}
            synictimer:
              direct: {}
            tlbflush: {}
            vapic: {}
            vpindex: {}
          smm: {}
        firmware:
          bootloader:
            efi:
              secureBoot: true
        machine:
          type: pc-q35-rhel9.4.0
        memory:
          guest: 4Gi
        resources: {}
      networks:
      - name: default
        pod: {}
      terminationGracePeriodSeconds: 3600
      volumes:
      - dataVolume:
          name: win2k12r2-lavender-guppy-67
        name: rootdisk
      - containerDisk:
          image: registry.redhat.io/container-native-virtualization/virtio-win-rhel9@sha256:8fb0ff51b3dab6eb7310cec8739451fcd2abae2deefc6bdb2dc26a7ba3e1ce77
        name: windows-drivers-disk
status:
  conditions:
  - lastProbeTime: "2024-05-14T15:57:41Z"
    lastTransitionTime: "2024-05-14T15:57:41Z"
    message: VMI does not exist
    reason: VMINotExists
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: null
    message: All of the VMI's DVs are bound and not running
    reason: AllDVsReady
    status: "True"
    type: DataVolumesReady
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: LiveMigratable
  desiredGeneration: 2
  observedGeneration: 2
  printableStatus: Stopped
  volumeSnapshotStatuses:
  - enabled: false
    name: rootdisk
    reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this
      StorageClass [nfs] [rootdisk]'
  - enabled: false
    name: windows-drivers-disk
    reason: Snapshot is not supported for this volumeSource type [windows-drivers-disk]

